"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const SvgIcon = require("../common/base/SvgIcon.vue.js");
const CopyIcon = require("../common/icons/CopyIcon.vue.js");
const useRoomInviteHooks = require("./useRoomInviteHooks.js");
const vTap = require("../../directives/vTap.js");
const _hoisted_1 = { class: "invite-container" };
const _hoisted_2 = { class: "invite-container-main" };
const _hoisted_3 = { class: "invite-title-main" };
const _hoisted_4 = { class: "cancel" };
const _hoisted_5 = { class: "invite-title" };
const _hoisted_6 = { class: "invite-content" };
const _hoisted_7 = { class: "invite-bottom" };
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "indexH5",
  emits: ["on-close-invite"],
  setup(__props, { emit: __emit }) {
    const { t, onCopy, visibleInviteContentList, inviteBarTitle } = useRoomInviteHooks.default();
    const emit = __emit;
    function handleCloseInvite() {
      emit("on-close-invite");
    }
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        Vue.createElementVNode("div", _hoisted_2, [
          Vue.createElementVNode("div", _hoisted_3, [
            Vue.createElementVNode("div", null, Vue.toDisplayString(Vue.unref(t)("Invite")), 1),
            Vue.withDirectives((Vue.openBlock(), Vue.createElementBlock("span", _hoisted_4, [
              Vue.createTextVNode(Vue.toDisplayString(Vue.unref(t)("Cancel")), 1)
            ])), [
              [Vue.unref(vTap.default), handleCloseInvite]
            ])
          ]),
          (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(Vue.unref(visibleInviteContentList), (item) => {
            return Vue.openBlock(), Vue.createElementBlock("div", {
              key: item.id,
              class: "invite-content-main"
            }, [
              Vue.createElementVNode("span", _hoisted_5, Vue.toDisplayString(Vue.unref(t)(item.mobileTitle)), 1),
              Vue.createElementVNode("span", _hoisted_6, Vue.toDisplayString(item.content), 1),
              Vue.withDirectives(Vue.createVNode(SvgIcon.default, {
                icon: CopyIcon.default,
                class: "copy"
              }, null, 512), [
                [Vue.unref(vTap.default), () => Vue.unref(onCopy)(item.copyLink)]
              ])
            ]);
          }), 128)),
          Vue.createElementVNode("span", _hoisted_7, Vue.toDisplayString(Vue.unref(inviteBarTitle)), 1)
        ])
      ]);
    };
  }
});
exports.default = _sfc_main;
